package com.yeejoin.amos.supervision.business.dao.mapper;

import com.yeejoin.amos.supervision.business.entity.mybatis.RiskFactorBo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RiskFactorMapper extends BaseMapper {

    RiskFactorBo getById(Long id);

    List<RiskFactorBo> listEquipmentByRiskSourceId(Long riskSourceId);

    List<RiskFactorBo> listEquipmentByEquipmentId(Long equipmentId);

    List<RiskFactorBo> listTaskworkByTaskworkContentId(Long taskworkContentId);

    List<RiskFactorBo> listTaskworkByTaskworkContentIds(List<Long> taskworkContentIds);

    Integer updateControlStatus(RiskFactorBo riskFactorBo);

    Long countByLevelCodeAndDeptId(@Param("code") String code, @Param("departmentId") String departmentId);

    String getIdsByLevelCodeAndDeptId(@Param("code") String code, @Param("departmentId") String departmentId);

}
